Addresses
Manage customer address information.
Retrieves a list of addresses for a customer.
Note: The request needs to be authorized with a customer access token.
To generate a customer access token, go to the Logging in a customer endpoint.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$OK
Customer address' unique identifier generated when the address is added to the customer account.
Flag indicating whether the address is the customer default address.
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
GET /customer/{tenant}/me/addresses HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
[
{
"contactName": "John Doe",
"companyName": "Emporix",
"street": "Platz der Republik",
"streetNumber": "1",
"streetAppendix": "",
"extraLine1": "",
"extraLine2": "",
"extraLine3": "",
"extraLine4": "",
"zipCode": "11011",
"city": "Berlin",
"country": "DE",
"state": "Berlin",
"contactPhone": "123456789",
"tags": [
"BILLING",
"SHIPPING"
],
"id": "b05c20e034",
"isDefault": true
}
]Adds an address to a customer profile.
Note: The request needs to be authorized with a customer access token.
To generate a customer access token, go to the Logging in a customer endpoint.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$Created
Schema for showing location of the new resource.
Resource identifier.
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
POST /customer/{tenant}/me/addresses HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 306
{
"contactName": "John Doe",
"companyName": "Emporix",
"street": "Platz der Republik",
"streetNumber": "1",
"streetAppendix": "",
"extraLine1": "",
"extraLine2": "",
"extraLine3": "",
"extraLine4": "",
"zipCode": "11011",
"city": "Berlin",
"country": "DE",
"state": "Berlin",
"contactPhone": "123456789",
"tags": [
"BILLING",
"SHIPPING"
]
}{
"id": "b05c20e034"
}Retrieves a specified customer address and its details.
Note: The request needs to be authorized with a customer access token.
To generate a customer access token, go to the Logging in a customer endpoint.
Address unique identifier generated when the address is added to a customer profile.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$OK
Customer address' unique identifier generated when the address is added to the customer account.
Flag indicating whether the address is the customer default address.
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
Address with the specified addressId doesn't exist.
GET /customer/{tenant}/me/addresses/{addressId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"contactName": "John Doe",
"companyName": "Emporix",
"street": "Platz der Republik",
"streetNumber": "1",
"streetAppendix": "",
"extraLine1": "",
"extraLine2": "",
"extraLine3": "",
"extraLine4": "",
"zipCode": "11011",
"city": "Berlin",
"country": "DE",
"state": "Berlin",
"contactPhone": "123456789",
"tags": [
"BILLING",
"SHIPPING"
],
"id": "b05c20e034",
"isDefault": true
}Deletes a specified customer address and accounts associated with it.
Note: The request needs to be authorized with a customer access token.
To generate a customer access token, go to the Logging in a customer endpoint.
Address unique identifier generated when the address is added to a customer profile.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$No Content
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
Address with the specified addressId doesn't exist.
DELETE /customer/{tenant}/me/addresses/{addressId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Updates a specified customer address.
Note: The request needs to be authorized with a customer access token.
To generate a customer access token, go to the Logging in a customer endpoint.
Address unique identifier generated when the address is added to a customer profile.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$Flag indicating whether the address is the customer default address.
OK
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
Address with the specified addressId doesn't exist.
PATCH /customer/{tenant}/me/addresses/{addressId} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 323
{
"contactName": "John Doe",
"companyName": "Emporix",
"street": "Platz der Republik",
"streetNumber": "1",
"streetAppendix": "",
"extraLine1": "",
"extraLine2": "",
"extraLine3": "",
"extraLine4": "",
"zipCode": "11011",
"city": "Berlin",
"country": "DE",
"state": "Berlin",
"contactPhone": "123456789",
"tags": [
"BILLING",
"SHIPPING"
],
"isDefault": true
}No content
Adds tags to a specified customer address.
Note: The request needs to be authorized with a customer access token.
To generate a customer access token, go to the Logging in a customer endpoint.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$Address unique identifier generated when the address is added to a customer profile.
List of address tags, separated by commas.
BILLING,SHIPPINGNo Content
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
Address with the specified addressId doesn't exist.
POST /customer/{tenant}/me/addresses/{addressId}/tags?tags=BILLING%2CSHIPPING HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Deletes tags from a specified customer address.
Note: The request needs to be authorized with a customer access token.
To generate a customer access token, go to the Logging in a customer endpoint.
Your Emporix tenant name.
Note: The tenant should always be written in lowercase.
^[a-z][a-z0-9]+$Address unique identifier generated when the address is added to a customer profile.
List of address tags, separated by commas.
BILLING,SHIPPINGNo Content
No content
Request was syntactically incorrect. Details will be provided in the response payload.
Unauthorized
Given authorization scopes are not sufficient and do not match scopes required by the endpoint.
Address with the specified addressId doesn't exist.
DELETE /customer/{tenant}/me/addresses/{addressId}/tags?tags=BILLING%2CSHIPPING HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
Was this helpful?

